import Color from "../system/Color";
import { StiPenStyle } from "../system/enums";
import StiJson from "../system/StiJson";
export declare class StiPen {
    color?: Color;
    style: StiPenStyle;
    private _width;
    static dimGraySolid(): StiPen;
    constructor(color?: Color, style?: StiPenStyle, width?: number);
    get width(): number;
    set width(value: number);
    saveToJsonObject(options: any): StiJson;
    loadFromJsonObject(json: StiJson): void;
    toHtmlBorder(): string;
    getHtmlStyle(): string;
}
